/*
 * $Id: ConverterException.java,v 1.1 2004/02/03 01:37:39 koppy Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: ConverterException.java,v $
 * Revision 1.1  2004/02/03 01:37:39  koppy
 * Initiale Version
 *
 */
package vkc.exception;

/**
 * Exception-Klasse, die bei Ausnahmen während
 * des Konvertierungsprozesses verwendet werden sollte.
 * 
 * @created 03.02.2004
 * @author koppy
 */
public class ConverterException extends Exception {

	private String messageKey = null;

	public ConverterException() {
		super();
	}

	public ConverterException(String cause) {
		super(cause);
	}

	public ConverterException(String cause, String messageKey) {
		super(cause);
		this.messageKey = messageKey;
	}
	/**
	 * @return
	 */
	public String getMessageKey() {
		return messageKey;
	}

	/**
	 * @param string
	 */
	public void setMessageKey(String string) {
		messageKey = string;
	}

}
